#language: ru

@mutual_settlements

Функционал: 011. mutual_settlements. Листы кассовой книги

Сценарий: 011.1. mutual_settlements. Создание листа кассовой книги на 26.03.2021	
	
	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.011. Взаиморасчеты"
	Дано я удаляю объекты "Документы.к2ЛистКассовойКниги" без контроля ссылок
	И Я начинаю создавать лист кассовой книги "Основная Касса Нижегородский МК" на "26.03.2021" для организации "Нижегородский МК" с подразделением "Бухгалтерия"
	И в поле с именем 'Комментарий' я ввожу текст 'ЛистКассовойКниги2603'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ДатаЛиста" стал равен '26.03.2021'
		И элемент формы с именем "Дата" стал равен '26.03.2021  0:00:00'
		И таблица "КассовыеОрдера" стала равной по шаблону:
			| 'Документ'                                          | 'Приход'    | 'Расход' | 'Валюта' |
			| 'Приходный кассовый ордер * от 26.03.2021 [Создан]' | '41 050,00' | ''       | 'RUB'    |
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ЛистКассовойКниги2603'
		И элемент формы с именем "СуммаНаНачалоДня" стал равен '0,00'
		И элемент формы с именем "СуммаПрихода" стал равен '41 050,00'
		И элемент формы с именем "СуммаРасход" стал равен '0,00'
		И элемент формы с именем "СуммаНаКонецДня" стал равен '41 050,00'
	* Записать
		И я нажимаю на кнопку с именем 'ФормаЗаписать'
		Тогда открылось окно 'Лист кассовой книги * от * [Создан] (не проведен)'
	* Провести
		И я нажимаю на кнопку с именем 'ФормаПровести'
		Тогда открылось окно 'Лист кассовой книги * от * [Создан]'
	И Я заканчиваю создавать лист кассовой книги

Сценарий: 011.2. mutual_settlements. Печать листа кассовой книги на 26.03.2021

	И Я проверяю что печатная форма листа кассовой книги "ЛистКассовойКниги2603" равна макету "ЛистКассовойКниги2603"

Сценарий: 011.3. mutual_settlements. Создание листа кассовой книги на 27.03.2021	
	
	И Я начинаю создавать лист кассовой книги "Основная Касса Нижегородский МК" на "27.03.2021" для организации "Нижегородский МК" с подразделением "Бухгалтерия"
	И в поле с именем 'Комментарий' я ввожу текст 'ЛистКассовойКниги2703'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ДатаЛиста" стал равен '27.03.2021'
		И элемент формы с именем "Дата" стал равен '27.03.2021  0:00:00'
		И таблица "КассовыеОрдера" стала равной по шаблону:
			| 'Документ'                                          | 'Приход'    | 'Расход' | 'Валюта' |
			| 'Приходный кассовый ордер * от 27.03.2021 [Создан]' | '12 750,00' | ''       | 'RUB'    |
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ЛистКассовойКниги2703'
		И элемент формы с именем "СуммаНаНачалоДня" стал равен '41 050,00'
		И элемент формы с именем "СуммаПрихода" стал равен '12 750,00'
		И элемент формы с именем "СуммаРасход" стал равен '0,00'
		И элемент формы с именем "СуммаНаКонецДня" стал равен '53 800,00'
	И Я заканчиваю создавать лист кассовой книги

Сценарий: 011.4. mutual_settlements. Печать листа кассовой книги на 27.03.2021

	И Я проверяю что печатная форма листа кассовой книги "ЛистКассовойКниги2703" равна макету "ЛистКассовойКниги2703"

Сценарий: 011.5. mutual_settlements. Создание листа кассовой книги на 29.03.2021	
	
	И Я начинаю создавать лист кассовой книги "Основная Касса Нижегородский МК" на "29.03.2021" для организации "Нижегородский МК" с подразделением "Бухгалтерия"
	И в поле с именем 'Комментарий' я ввожу текст 'ЛистКассовойКниги2903'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ДатаЛиста" стал равен '29.03.2021'
		И элемент формы с именем "Дата" стал равен '29.03.2021  0:00:00'
		И таблица "КассовыеОрдера" стала равной по шаблону:
			| 'Документ'                                          | 'Приход' | 'Расход'   | 'Валюта' |
			| 'Расходный кассовый ордер * от 29.03.2021 [Создан]' | ''       | '1 000,00' | 'RUB'    |
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ЛистКассовойКниги2903'
		И элемент формы с именем "СуммаНаНачалоДня" стал равен '53 800,00'
		И элемент формы с именем "СуммаПрихода" стал равен '0,00'
		И элемент формы с именем "СуммаРасход" стал равен '1 000,00'
		И элемент формы с именем "СуммаНаКонецДня" стал равен '52 800,00'
	И Я заканчиваю создавать лист кассовой книги

Сценарий: 011.6. mutual_settlements. Печать листа кассовой книги на 29.03.2021

	И Я проверяю что печатная форма листа кассовой книги "ЛистКассовойКниги2903" равна макету "ЛистКассовойКниги2903"

Сценарий: 011.7. mutual_settlements. Создание листа кассовой книги на 01.04.2021	
	
	И Я начинаю создавать лист кассовой книги "Основная Касса Нижегородский МК" на "01.04.2021" для организации "Нижегородский МК" с подразделением "Бухгалтерия"
	И в поле с именем 'Комментарий' я ввожу текст 'ЛистКассовойКниги0104'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ДатаЛиста" стал равен '01.04.2021'
		И элемент формы с именем "Дата" стал равен '01.04.2021  0:00:00'
		И таблица "КассовыеОрдера" стала равной по шаблону:
			| 'Документ'                                          | 'Приход'   | 'Расход' | 'Валюта' |
			| 'Приходный кассовый ордер * от 01.04.2021 [Создан]' | '7 000,00' | ''       | 'RUB'    |
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ЛистКассовойКниги0104'
		И элемент формы с именем "СуммаНаНачалоДня" стал равен '52 800,00'
		И элемент формы с именем "СуммаПрихода" стал равен '7 000,00'
		И элемент формы с именем "СуммаРасход" стал равен '0,00'
		И элемент формы с именем "СуммаНаКонецДня" стал равен '59 800,00'
	И Я заканчиваю создавать лист кассовой книги

Сценарий: 011.8. mutual_settlements. Печать листа кассовой книги на 01.04.2021

	И Я проверяю что печатная форма листа кассовой книги "ЛистКассовойКниги0104" равна макету "ЛистКассовойКниги0104"

Сценарий: 011.9. mutual_settlements. Создание листа кассовой книги на 02.04.2021	
	
	И Я начинаю создавать лист кассовой книги "Основная Касса Нижегородский МК" на "02.04.2021" для организации "Нижегородский МК" с подразделением "Бухгалтерия"
	И в поле с именем 'Комментарий' я ввожу текст 'ЛистКассовойКниги0204'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ДатаЛиста" стал равен '02.04.2021'
		И элемент формы с именем "Дата" стал равен '02.04.2021  0:00:00'
		И таблица "КассовыеОрдера" стала равной по шаблону:
			| 'Документ'                                          | 'Приход' | 'Расход'   | 'Валюта' |
			| 'Расходный кассовый ордер * от 02.04.2021 [Создан]' | ''       | '1 000,00' | 'RUB'    |
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ЛистКассовойКниги0204'
		И элемент формы с именем "СуммаНаНачалоДня" стал равен '59 800,00'
		И элемент формы с именем "СуммаПрихода" стал равен '0,00'
		И элемент формы с именем "СуммаРасход" стал равен '1 000,00'
		И элемент формы с именем "СуммаНаКонецДня" стал равен '58 800,00'
	И Я заканчиваю создавать лист кассовой книги

Сценарий: 011.10. mutual_settlements. Печать листа кассовой книги на 02.04.2021

	И Я проверяю что печатная форма листа кассовой книги "ЛистКассовойКниги0204" равна макету "ЛистКассовойКниги0204"

Сценарий: 011.11. mutual_settlements. Создание листа кассовой книги на 03.04.2021	
	
	И Я начинаю создавать лист кассовой книги "Основная Касса Нижегородский МК" на "03.04.2021" для организации "Нижегородский МК" с подразделением "Бухгалтерия"
	И в поле с именем 'Комментарий' я ввожу текст 'ЛистКассовойКниги0304'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ДатаЛиста" стал равен '03.04.2021'
		И элемент формы с именем "Дата" стал равен '03.04.2021  0:00:00'
		И таблица "КассовыеОрдера" стала равной по шаблону:
			| 'Документ'                                          | 'Приход' | 'Расход'   | 'Валюта' |
			| 'Расходный кассовый ордер * от 03.04.2021 [Создан]' | ''       | '3 000,00' | 'RUB'    |
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ЛистКассовойКниги0304'
		И элемент формы с именем "СуммаНаНачалоДня" стал равен '58 800,00'
		И элемент формы с именем "СуммаПрихода" стал равен '0,00'
		И элемент формы с именем "СуммаРасход" стал равен '3 000,00'
		И элемент формы с именем "СуммаНаКонецДня" стал равен '55 800,00'
	И Я заканчиваю создавать лист кассовой книги

Сценарий: 011.12. mutual_settlements. Печать листа кассовой книги на 03.04.2021

	И Я проверяю что печатная форма листа кассовой книги "ЛистКассовойКниги0304" равна макету "ЛистКассовойКниги0304"

Сценарий: 011.13. mutual_settlements. Создание листа кассовой книги на 04.04.2021	
	
	И Я начинаю создавать лист кассовой книги "Основная Касса Нижегородский МК" на "04.04.2021" для организации "Нижегородский МК" с подразделением "Бухгалтерия"
	И в поле с именем 'Комментарий' я ввожу текст 'ЛистКассовойКниги0404'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ДатаЛиста" стал равен '04.04.2021'
		И элемент формы с именем "Дата" стал равен '04.04.2021  0:00:00'
		И таблица "КассовыеОрдера" стала равной по шаблону:
			| 'Документ'                                          | 'Приход' | 'Расход'   | 'Валюта' |
			| 'Расходный кассовый ордер * от 04.04.2021 [Создан]' | ''       | '2 000,00' | 'RUB'    |
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ЛистКассовойКниги0404'
		И элемент формы с именем "СуммаНаНачалоДня" стал равен '55 800,00'
		И элемент формы с именем "СуммаПрихода" стал равен '0,00'
		И элемент формы с именем "СуммаРасход" стал равен '2 000,00'
		И элемент формы с именем "СуммаНаКонецДня" стал равен '53 800,00'
	И Я заканчиваю создавать лист кассовой книги

Сценарий: 011.14. mutual_settlements. Печать листа кассовой книги на 04.04.2021

	И Я проверяю что печатная форма листа кассовой книги "ЛистКассовойКниги0404" равна макету "ЛистКассовойКниги0404"

Сценарий: 011.15. mutual_settlements. Создание листа кассовой книги на 05.04.2021	
	
	И Я начинаю создавать лист кассовой книги "Основная Касса Нижегородский МК" на "05.04.2021" для организации "Нижегородский МК" с подразделением "Бухгалтерия"
	И в поле с именем 'Комментарий' я ввожу текст 'ЛистКассовойКниги0504'
	* Проверка значений
		Тогда элемент формы с именем "Состояние" стал равен 'Создан'
		И элемент формы с именем "Организация" стал равен 'Нижегородский МК'
		И элемент формы с именем "Подразделение" стал равен 'Бухгалтерия'
		И элемент формы с именем "Касса" стал равен 'Основная Касса Нижегородский МК'
		И элемент формы с именем "ДатаЛиста" стал равен '05.04.2021'
		И элемент формы с именем "Дата" стал равен '05.04.2021  0:00:00'
		И таблица "КассовыеОрдера" стала равной по шаблону:
			| 'Документ'                                          | 'Приход'   | 'Расход' | 'Валюта' |
			| 'Приходный кассовый ордер * от 05.04.2021 [Создан]' | '1 000,00' | ''       | 'RUB'    |
		И элемент формы с именем "Руководитель" стал равен 'Алексеев И.'
		И элемент формы с именем "ГлавныйБухгалтер" стал равен 'Веселов М.'
		И элемент формы с именем "СпособСоздания" стал равен 'Создан вручную'
		И элемент формы с именем "Ответственный" стал равен 'Администратор'
		И элемент формы с именем "Комментарий" стал равен 'ЛистКассовойКниги0504'
		И элемент формы с именем "СуммаНаНачалоДня" стал равен '53 800,00'
		И элемент формы с именем "СуммаПрихода" стал равен '1 000,00'
		И элемент формы с именем "СуммаРасход" стал равен '0,00'
		И элемент формы с именем "СуммаНаКонецДня" стал равен '54 800,00'
	И Я заканчиваю создавать лист кассовой книги

Сценарий: 011.16. mutual_settlements. Печать листа кассовой книги на 05.04.2021

	И Я проверяю что печатная форма листа кассовой книги "ЛистКассовойКниги0504" равна макету "ЛистКассовойКниги0504"

Сценарий: 011.17. mutual_settlements. Печать титульного листа кассовой книги

	И В командном интерфейсе я выбираю 'Деньги' 'Листы кассовой книги'
	Тогда открылось окно 'Листы кассовой книги'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'           |
		| 'ЛистКассовойКниги2603' |
	И я нажимаю на кнопку 'Титульный лист и последняя страница'
	Тогда открылось окно 'Нижегородский МК'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ТитульныйЛистКассовойКниги" по шаблону
	И Я закрываю окно 'Нижегородский МК'
	Тогда открылось окно 'Листы кассовой книги'
	И Я закрываю окно 'Листы кассовой книги'

Сценарий: 011.18. mutual_settlements. Печать всех листов кассовой книги

	И В командном интерфейсе я выбираю 'Деньги' 'Листы кассовой книги'
	Тогда открылось окно 'Листы кассовой книги'
	И в таблице 'Список' я выделяю все строки
	И я нажимаю на кнопку 'Лист кассовой книги'
	Тогда открылось окно 'Печать документов'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ВсеЛистыКассовойКниги" по шаблону
	И Я закрываю окно 'Печать документов'
	Тогда открылось окно 'Листы кассовой книги'
	И Я закрываю окно 'Листы кассовой книги'

Сценарий: 011.19. mutual_settlements. Проверка отборов для листов кассовой книги

	И В командном интерфейсе я выбираю 'Деньги' 'Листы кассовой книги'
	Тогда открылось окно 'Листы кассовой книги'
	Тогда таблица "Список" стала равной:
		| 'Дата'       | 'Касса'                           | 'Состояние' | 'Организация'      | 'Подразделение' | 'Ответственный' | 'Комментарий'           |
		| '26.03.2021' | 'Основная Касса Нижегородский МК' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'ЛистКассовойКниги2603' |
		| '27.03.2021' | 'Основная Касса Нижегородский МК' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'ЛистКассовойКниги2703' |
		| '29.03.2021' | 'Основная Касса Нижегородский МК' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'ЛистКассовойКниги2903' |
		| '01.04.2021' | 'Основная Касса Нижегородский МК' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'ЛистКассовойКниги0104' |
		| '02.04.2021' | 'Основная Касса Нижегородский МК' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'ЛистКассовойКниги0204' |
		| '03.04.2021' | 'Основная Касса Нижегородский МК' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'ЛистКассовойКниги0304' |
		| '04.04.2021' | 'Основная Касса Нижегородский МК' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'ЛистКассовойКниги0404' |
		| '05.04.2021' | 'Основная Касса Нижегородский МК' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'ЛистКассовойКниги0504' |
	* Отбор по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я указываю в диалоге стандартного периода период с "26.03.2021" по "26.03.2021"
		Тогда открылось окно 'Листы кассовой книги'
		Тогда таблица "Список" стала равной:
			| 'Дата'       | 'Касса'                           | 'Состояние' | 'Организация'      | 'Подразделение' | 'Ответственный' | 'Комментарий'           |
			| '26.03.2021' | 'Основная Касса Нижегородский МК' | 'Создан'    | 'Нижегородский МК' | 'Бухгалтерия'   | 'Администратор' | 'ЛистКассовойКниги2603' |
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Листы кассовой книги'
	* Отбор по организации
		И из выпадающего списка с именем "_Отбор_Организация" я выбираю по строке 'Молочный мир'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	* Отбор по подразделению
		И из выпадающего списка с именем "_Отбор_Подразделение" я выбираю по строке 'Отдел продаж'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	* Отбор по кассе
		И из выпадающего списка с именем "_Отбор_Касса" я выбираю по строке 'Тестовая'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Касса"
	* Отбор по состоянию
		И из выпадающего списка с именем "_Отбор_Состояние" я выбираю по строке 'Проверки не успешны'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	* Отбор по ответственному
		И из выпадающего списка с именем "_Отбор_Ответственный" я выбираю по строке 'Комаров И.О.'
		Тогда в таблице "Список" количество строк "равно" 0
		И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Листы кассовой книги'

Сценарий: 011.20. mutual_settlements. Очистка отборов для листов кассовой книги

	И В командном интерфейсе я выбираю 'Деньги' 'Листы кассовой книги'
	Тогда открылось окно 'Листы кассовой книги'
	* Очистка отборов по периоду
		И я нажимаю на гиперссылку с именем "_Отбор__Представление_Дата"
		И Я очищаю период в диалоге стандартного периода
		Тогда открылось окно 'Листы кассовой книги'
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Организация"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Подразделение"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Касса"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Состояние"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_Ответственный"
	И Я закрываю окно 'Листы кассовой книги'